<!doctype html>
<html lang="es">
<head>
  <meta charset="utf-8">
  <meta http-equiv="x-ua-compatible" content="ie=edge">
  <title>Snake.js</title>
  <meta name="description" content="Juego clásico snake recreado en HTML5">
  <meta name="author" content="I. Garrote">
  <meta name="viewport" content="width=device-width, initial-scale=1">

  <link rel="apple-touch-icon" href="apple-touch-icon.png">
  <!-- Place favicon.ico in the root directory -->

  <link rel="stylesheet" href="css/normalize.css">
  <link rel="stylesheet" href="css/html5bp.css">
  <link rel="stylesheet" href="https://fonts.googleapis.com/icon?family=Material+Icons">
  <style>
    body {
      padding: .5rem;
      max-width: 768px;
      margin: 0 auto;
      background: #f0f0f0;
    }
    p {
      margin: .5rem 0;
    }
    header {
      text-align: center;
    }
    h1,h2,h3 {
      font-weight: normal;
    }
    .move-button {
      background: white;
      border: 1px solid #ccc;
      width: 40px;
      height: 40px;
      padding-top: .5em;
    }
    .move-button-top {
      margin-left: 44px;
      margin-bottom: 4px;
    }
    .action-button {
      margin: 5px 0;
      padding: 5px .5em;
      background: white;
      border: 1px solid #ccc;
    }
    .canvas-container {
      padding-top: 1em;
      display: flex;
      justify-content: space-between;
      align-items: center;
      flex-wrap: wrap;
    }
    footer {
      padding: 1rem .5rem;
      text-align: right;
      font-size: 12px;
    }
    footer a {
      text-decoration: none;
    }
  </style>
</head>
  <body>
    <!--[if lt IE 8]>
      <p class="browserupgrade">You are using an <strong>outdated</strong> browser. Please <a href="http://browsehappy.com/">upgrade your browser</a> to improve your experience.</p>
    <![endif]-->

    <header>
      <h2>Snake.js</h2>
      <p>
        Puedes mover a la serpiente con las flechas del teclado o con las teclas WASD.
        Tambi&eacute;n puedes usar los botones a la izquierda.
      </p>
    </header>
    <section style="display: flex;">
      <p style="flex: 1;">
        <strong>
          Puntos: <span id="snake_score"></span>
        </strong>
      </p>
      <div>
        <button class="action-button" onclick="start_snake()">Comenzar</button>
        <button class="action-button" onclick="pause_snake()">Pausa</button>
      </div>
    </section>
    <div class="canvas-container">
      <div class="controls">
        <button onclick="moveSnake('up')" class="move-button move-button-top">
          <i class="material-icons">keyboard_arrow_up</i>
        </button>
        <section>
          <button onclick="moveSnake('left')" class="move-button">
            <i class="material-icons">keyboard_arrow_left</i>
          </button>
          <button onclick="moveSnake('down')" class="move-button">
            <i class="material-icons">keyboard_arrow_down</i>
          </button>
          <button onclick="moveSnake('right')" class="move-button">
            <i class="material-icons">keyboard_arrow_right</i>
          </button>
        </section>
      </div>
      <canvas style="border: 1px solid #e4e4e4;">
        If you see this message
        your browser does not support the canvas element.
        Please stop being a dinosaur.
      </canvas>
    </div>
    <script src="game.js"></script>
    <footer>
      Realizado por: <a href="https://gitlab.com/ivangl85" target="_blank">I. Garrote</a>
    </footer>
    <!-- Google Analytics: change UA-XXXXX-X to be your site's ID. -->
    <script>
      /*
      (function(b,o,i,l,e,r){b.GoogleAnalyticsObject=l;b[l]||(b[l]=
      function(){(b[l].q=b[l].q||[]).push(arguments)});b[l].l=+new Date;
      e=o.createElement(i);r=o.getElementsByTagName(i)[0];
      e.src='https://www.google-analytics.com/analytics.js';
      r.parentNode.insertBefore(e,r)}(window,document,'script','ga'));
      ga('create','UA-XXXXX-X','auto');ga('send','pageview');
      */
    </script>
  </body>
</html>
